Medication Request

A medication request is a record of a request for medication given for a patient.

GET/v2/fhir/MedicationRequest

List all medication requests

Returns a list of all medication requests. Pass attributes to filter the list of medication requests based on that criteria.

Optional query parameters

  • Name
    patient
    Type
    string
    Description

    Patient ID to filter by.

  • Name
    intent
    Type
    string
    Description

    Intent to filter by.

Request

GET
/v2/fhir/MedicationRequest
curl "https://{{base_subdomain}}.avonhealth.com/v2/fhir/MedicationRequest?patient=user_Z1zXZKvqrpwxbznuW6lJ&intent=Example" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      {
        "resourceType": "Bundle",
        "type": "searchset",
        "total": 1,
        "entry": [
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/MedicationRequest/medicationrequest-coded-oral-axid-proposal",
            "resource": {
              "resourceType": "MedicationRequest",
              "id": "medicationrequest-coded-oral-axid-proposal",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-medicationrequest|7.0.0"
                ]
              },
              "status": "active",
              "intent": "proposal",
              "medicationCodeableConcept": {
                "coding": [
                  {
                    "system": "http://www.nlm.nih.gov/research/umls/rxnorm",
                    "code": "476872",
                    "display": "Nizatidine 15 MG/ML Oral Solution"
                  }
                ],
                "text": "Nizatidine 15 MG/ML Oral Solution"
              },
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2",
                "display": "Amy Shaw"
              },
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/medicationrequest-category",
                      "code": "inpatient",
                      "display": "Inpatient"
                    }
                  ],
                  "text": "Inpatient"
                },
                {
                  "coding": [
                    {
                      "system": "http://hl7.org/fhir/us/core/CodeSystem/us-core-medicationrequest-category",
                      "code": "discharge",
                      "display": "Discharge"
                    }
                  ],
                  "text": "Discharge Medication"
                }
              ],
              "reportedBoolean": false,
              "encounter": {
                "reference": "Encounter/example-encounter"
              },
              "authoredOn": "2008-04-05",
              "requester": {
                "reference": "Practitioner/practitioner-1",
                "display": "Ronald Bone, MD"
              },
              "reasonCode": [
                {
                  "coding": [
                    {
                      "system": "http://snomed.info/sct",
                      "version": "http://snomed.info/sct/731000124108",
                      "code": "51868009",
                      "display": "Ulcer of duodenum (disorder)"
                    }
                  ],
                  "text": "Active Duodenal Ulcer"
                }
              ],
              "dosageInstruction": [
                {
                  "text": "10 mL bid",
                  "timing": {
                    "repeat": {
                      "boundsPeriod": {
                        "start": "2008-04-05"
                      },
                      "frequency": 2,
                      "period": 1,
                      "periodUnit": "d"
                    }
                  },
                  "doseAndRate": [
                    {
                      "doseQuantity": {
                        "value": 10,
                        "unit": "ml",
                        "system": "http://unitsofmeasure.org",
                        "code": "mL"
                      }
                    }
                  ]
                }
              ],
              "dispenseRequest": {
                "numberOfRepeatsAllowed": 1,
                "quantity": {
                  "value": 480,
                  "unit": "mL",
                  "system": "http://unitsofmeasure.org",
                  "code": "mL"
                },
                "expectedSupplyDuration": {
                  "value": 30,
                  "unit": "days",
                  "system": "http://unitsofmeasure.org",
                  "code": "d"
                }
              },
              "extension": [
                {
                  "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-medication-adherence",
                  "extension": [
                    {
                      "url": "medicationAdherence",
                      "valueCodeableConcept": {
                        "coding": [
                          {
                            "system": "http://snomed.info/sct",
                            "code": "275928001",
                            "display": "Drugs - partial non-compliance (finding)"
                          }
                        ]
                      }
                    },
                    {
                      "url": "dateAsserted",
                      "valueDateTime": "2023-08-11T08:15:49.449Z"
                    },
                    {
                      "url": "informationSource",
                      "valueCodeableConcept": {
                        "coding": [
                          {
                            "system": "http://snomed.info/sct",
                            "code": "116154003",
                            "display": "Patient (person)"
                          }
                        ]
                      }
                    },
                    {
                      "url": "informationSource",
                      "valueCodeableConcept": {
                        "coding": [
                          {
                            "system": "https://www.cdc.gov/nhsn/cdaportal/terminology/codesystem/hsloc.html",
                            "code": "1179-1",
                            "display": "Pharmacy"
                          }
                        ]
                      }
                    }
                  ]
                }
              ]
            },
            "search": {
              "mode": "match"
            }
          }
        ]
      }
    }